cancel
Showing results for 
Search instead for 
Did you mean: 

unzip-5.52 v11.23 depot

 
Dree
Advisor

unzip-5.52 v11.23 depot

Dear, 

 

I want to ask something about unzip 5.52 for hp-ux 11.23. Any body know where to download unzip v5.52 not v6.0

because I've searched it everywhere and there is no download for 5.52 for hp-ux v.11.23

 

 

Thanks

Adrian

8 REPLIES
Dennis Handly
Acclaimed Contributor

Re: unzip-5.52 v11.23 depot

>where to download unzip v5.52 not v6.0

 

Any reason you can't use 6.0?  I would assume it would be forward compatible.

Dree
Advisor

Re: unzip-5.52 v11.23 depot

the reason is unzip v 6.0 is not compatible when I want to upgrade oracle application " At this time only Native UnZip 5.X is supported"
it's obselete for unzip v5.52?

Re: unzip-5.52 v11.23 depot

Given the warnings about unzip 5.52 on the link below, I wonder why you would want to use it rather than the latest version?

 

http://www.info-zip.org/UnZip.html

 

Closest binaries I could find were here:

 

ftp://ftp.info-zip.org/pub/infozip/unix/hp/

 

But that looks like 5.50

 

Otherwise you could try contacting the folks at the HPUX porting and archive center and see if they have an old version:

 

http://hpux.connect.org.uk/hppd/answers/2-1.html


HTH

Duncan

Re: unzip-5.52 v11.23 depot

it's a bit rubbish of Oracle to rely on a utility they don't own for doing installations isn't it? I would be complaining to Oracle personally - they do support their own software don't they? One would imagine that includes the ability to install their software on a supported platform?

 

Actually, to be fair, there is _supposed_ to be a copy of unzip available from Oracle themselves. If you look here for instance:

 

http://www.oracle.com/technetwork/database/enterprise-edition/downloads/112010-hpisoft-097214.html

 

You will see a link to an unzip download, but for me at least the link doesn't work:

 

http://updates.oracle.com/unzips/unzips.html

 

So you might want to contact Oracle support and tell them their link is broken. I was dubious and tried:

 

https://updates.oracle.com/unzips/unzips.html

 

(note https , not http) - that does work and takes you to a download for a nice old version, but I recall when I last used this many moons ago, it did work.


HTH

Duncan
Dree
Advisor

Re: unzip-5.52 v11.23 depot

Yes it's a little bit weird that oracle rely on other utility.
And It cannot use v6.0. I'll ask oracle first about this issue.
about in this link ftp://ftp.info-zip.org/pub/infozip/unix/hp/
it portable unzip?
Steven Schweda
Honored Contributor

Re: unzip-5.52 v11.23 depot

Zip and UnZip source kits (including UnZip 5.52) are available at:

      ftp://ftp.info-zip.org/pub/infozip/src/

A C compiler and "make" are all that you should need to build the stuff.
Even the bundled compiler on a PA-RISC HP-UX system should be good
enough for a simple build.  (Some options may use code written using
function prototypes, but they are options.)  Complaints are always
welcome if there are problems.

> [...] " At this time only Native UnZip 5.X is supported" [...]

   What, exactly complains this way?  (Fix it?)

> [...] And It cannot use v6.0. I'll ask oracle first about this issue.

   Good idea.

 

> about in this link ftp://ftp.info-zip.org/pub/infozip/unix/hp/
> it portable unzip?

   Start here:

      http://www.info-zip.org/


   It may make some sense for Oracle not to try to use versions of
(non-Oracle) software which they have not tested, but it might make more
sense to let the user override the restriction.

   Note that these programs are open-source, and if one builds them from
the sources, then one could change the version information in them to
anything one wants.  (I claim that you should not need to do this, but
it's possible.  It might be _confusing_ to have an UnZip 6.0 executable
which says that it's an UnZip 5.52 executable, and I have not tried it,
but it should be relatively harmless otherwise.)

   Newer versions of these programs generally have more features and
fewer bugs than older versions, so I tend to avoid older versions.

sumakuma2011
Occasional Advisor

Re: unzip-5.52 v11.23 depot

Hi,

 

   Please check below links and follow below steps to install zip/unzip

 

http://sourceforge.net/projects/infozip/files/Zip%202.2x%20and%20earlier/2.3/

 

http://sourceforge.net/projects/infozip/files/UnZip%205.x%20and%20earlier/5.52/

 

#gunzip <gzip file>

#tar –xvf <zip.tar>

#make -f unix/Makefile generic

#make -f unix/Makefile install

 

Regards,

Sumant

Sumant
Steven Schweda
Honored Contributor

Re: unzip-5.52 v11.23 depot

>    Please check below links [...]

   Please don't.  No one wants (or should want) Zip 2.3 when Zip 2.32 is
available.

> [...] and follow below steps to install zip/unzip

   Or read the INSTALL file which is included in a source kit.

 

> #gunzip <gzip file>
> #tar -xvf <zip.tar>

   Unhelpful packaging of the older-version kits makes it desirable to
unpack in a fresh directory, and many people would avoid the
intermediate file.  For example:

      mkdir unzip552
      cd unzip552
      gzip -dc ../unzip552.tgz | tar xf -

   Newer-version kits are less troublesome:

      gzip -dc unzip60.tgz | tar xf -

As usual, when in doubt (which is usually a good place to be), use
      tar tvf -
to show you what
      tar xf -
will do.